import { QuintModule } from '../ir/quintIr';
import { NameResolutionResult } from './base';
/**
 * Resolves all names in the given Quint modules and returns a lookup table of definitions.
 *
 * @param quintModules - The Quint modules to resolve names in.
 *
 * @returns A lookup table of definitions and a mapping of unused definitions if successful, otherwise a list of errors.
 */
export declare function resolveNames(quintModules: QuintModule[]): NameResolutionResult;
