/**
 * Core logic of verification
 *
 * @author Shon Feder
 *
 * @module
 */
import { ApalacheResult } from './apalache';
/**
 * Verifies the configuration `config` by model checking it with the Apalache server
 *
 * @param config
 *   an apalache configuration. See https://github.com/informalsystems/apalache/blob/main/mod-infra/src/main/scala/at/forsyte/apalache/infra/passes/options.scala#L255
 *
 * @returns right(void) if verification succeeds, or left(err) explaining the failure
 */
export declare function verify(config: any, verbosityLevel: number): Promise<ApalacheResult<void>>;
