"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const mocha_1 = require("mocha");
const maybe_1 = require("@sweet-monads/maybe");
const util_1 = require("../src/util");
(0, mocha_1.describe)('findMap', () => {
    (0, mocha_1.it)('is none on empty iterable', () => {
        (0, chai_1.assert)((0, util_1.findMap)(new Map().values(), _ => (0, maybe_1.just)(42)).isNone(), 'should be none on empty iterable');
    });
    (0, mocha_1.it)('is `just` when a vaule can be found', () => {
        const actual = (0, util_1.findMap)(new Map([
            ['a', 1],
            ['b', 2],
            ['c', 3],
        ]).values(), n => (n % 2 === 0 ? (0, maybe_1.just)(n) : (0, maybe_1.none)()));
        chai_1.assert.deepEqual((0, maybe_1.just)(2), actual);
    });
    (0, mocha_1.it)('is `none` when no value can be found', () => {
        const result = (0, util_1.findMap)(new Map([
            ['a', 1],
            ['b', 2],
            ['c', 3],
        ]).values(), n => (n > 3 ? (0, maybe_1.just)(n) : (0, maybe_1.none)()));
        (0, chai_1.assert)(result.isNone(), 'should be none');
    });
});
//# sourceMappingURL=util.test.js.map